<?php
/**
 * Add Theme Info page to admin menu
 */
function firnera_lite_info_menu_link() {


	$theme = wp_get_theme();

	add_theme_page(
		sprintf( esc_html__( 'Welcome to %1$s %2$s', 'firnera-lite' ), $theme->get( 'Name' ), $theme->get( 'Version' ) ),
		esc_html__( 'Theme Info', 'firnera-lite' ),
		'edit_theme_options',
		'firnera-lite',
		'firnera_lite_info_page'
	);

}
add_action( 'admin_menu', 'firnera_lite_info_menu_link' );


function firnera_lite_info_page() {


	$theme = wp_get_theme();
	?>

	<div class="wrap firnera-lite-info-wrapper">

		<h1><?php printf( esc_html__( 'Welcome to %1$s %2$s', 'firnera-lite' ), $theme->get( 'Name' ), $theme->get( 'Version' ) ); ?></h1>

		<div class="theme-description"><?php echo $theme->get( 'Description' ); ?></div>

		<hr>
		<div class="important-links clearfix">
			<p><strong><?php esc_html_e( 'Theme Links', 'firnera-lite' ); ?>:</strong>
				<a href="<?php echo esc_url( __( 'http://www.firdaus.my.id/themes/firnera', 'firnera-lite' ) ); ?>" target="_blank"><?php esc_html_e( 'Theme Page', 'firnera-lite' ); ?></a>
			</p>
		</div>
		<hr>

		<div id="getting-started">

			<h3><?php printf( esc_html__( 'Getting Started with %s', 'firnera-lite' ), $theme->get( 'Name' ) ); ?></h3>

			<div class="columns-wrapper clearfix">

				<div class="column column-half clearfix">

					<div class="section">
						<h4><?php esc_html_e( 'Theme Options', 'firnera-lite' ); ?></h4>

						<p class="about">
							<?php printf( esc_html__( '%s theme settings. Click on "Customize Theme" to open the Customizer now.', 'firnera-lite' ), $theme->get( 'Name' ) ); ?>
						</p>
						<p>
							<a href="<?php echo esc_url(admin_url( 'customize.php' )); ?>" class="button button-primary"><?php esc_html_e( 'Customize Theme', 'firnera-lite' ); ?></a>
						</p>
					</div>

				</div>

				<div class="column column-half clearfix">

					<img src="<?php echo esc_url(get_template_directory_uri(). '/screenshot.png'); ?>" />

				</div>

			</div>

		</div>

		<hr>

		<div id="more-features">

			<h3><?php esc_html_e( 'Get Full Features', 'firnera-lite' ); ?></h3>

			<div class="columns-wrapper clearfix">

				<div class="column column-half clearfix">

					<div class="section">
						<h4><?php esc_html_e( 'Firnera Full Version', 'firnera-lite' ); ?></h4>

						<p class="about">
							<?php printf( esc_html__( 'Purchase the Firnera Full Version and get additional features, advanced customization options and Private Support.', 'firnera-lite' ), 'Firnera' ); ?>
						</p>
						<p class="about">
						<?php echo esc_html__('Use this Coupon Code for 60% OFF','firnera-lite'); ?><br><strong><?php echo esc_html__('indomedia60','firnera-lite'); ?></strong>
						</p>
						<p>
						<a href="<?php echo esc_url( __( 'https://fffthemes.com/premium-themes/firnera-wordpress-theme', 'firnera-lite' ) ); ?>" target="_blank" class="button button-secondary">
								<?php printf( esc_html__( 'Learn more about %s Full Version', 'firnera-lite' ), 'Firnera' ); ?>
						</a>
						</p>
					</div>

				</div>

				<div class="column column-half clearfix">

					<div class="section">
						<h4><?php esc_html_e( 'Firnera Full Version Features', 'firnera-lite' ); ?></h4>

						<p class="about">
							<?php esc_html_e( 'Firnera Full Version Features.', 'firnera-lite' ); ?>
							
						</p>
						
							<ul class="firnera-full-list">
								<li><?php esc_html_e( 'Full Custom Color','firnera-lite' ); ?></li>
								<li><?php esc_html_e( '4 Homepage Blog Style','firnera-lite' ); ?></li>
								<li><?php esc_html_e( 'Footer Sidebar','firnera-lite' ); ?></li>
								<li><?php esc_html_e( 'Advertisement Options','firnera-lite' ); ?></li>
								<li><?php esc_html_e( 'Related Posts','firnera-lite' ); ?></li>
								<li><?php esc_html_e( 'Image LightBox','firnera-lite' ); ?></li>
								<li><?php esc_html_e( 'Social Shares','firnera-lite' ); ?></li>		
								<li><?php esc_html_e( 'Woocommerce Options','firnera-lite' ); ?></li>		
								<li><?php esc_html_e( 'Shortcodes Plugin','firnera-lite' ); ?></li>		
								<li><?php esc_html_e( 'Private Support, Update And much more ...','firnera-lite' ); ?></li>			
							</ul>
						
					</div>

				</div>

			</div>

		</div>

		<hr>

		<div id="theme-author">
			<p><?php printf( esc_html__( 'Thanks already using %1$s by %2$s. Thanks also to %3$s :)', 'firnera-lite' ),
				$theme->get( 'Name' ),
				'<a target="_blank" href="' . __( 'http://www.firdaus.my.id/themes/', 'firnera-lite' ) . '" title="Firnera Lite">Firdaus</a>',
				'<a target="_blank" href="' . __( 'https://wordpress.org/', 'firnera-lite' ) . '" title="' . esc_attr__( 'WordPress', 'firnera-lite' ) . '">' . esc_html__( 'WordPress', 'firnera-lite' ) . '</a>'); ?>
			</p>

		</div>

	</div>

	<?php
}
//////////////////////////////////
// Adding Style
//////////////////////////////////
function firnera_lite_info_page_css( $hook ) {

	// Load styles and scripts only on theme info page.
	if ( 'appearance_page_firnera-lite' != $hook ) {
		return;
	}

	// Embed theme info css style.
	wp_enqueue_style( 'firnera_lite_info_page_css', get_template_directory_uri() .'/css/theme-info.css' );

}
add_action( 'admin_enqueue_scripts', 'firnera_lite_info_page_css' );