<?php
//---------------------------------------------
// Theme Customize 
//---------------------------------------------

add_action( 'customize_register', 'firnera_lite_customizer_register' );
function firnera_lite_customizer_register($wp_customize) {

	//-------------------------------
	//-------------------------------
	//	SANITIZATION FUNCTIONS
	//-------------------------------
	//-------------------------------
	

	//CHECKBOX -- ALL
	function firnera_lite_sanitize_checkbox( $input ) {
	    if ( $input == 1 ) {
	        return 1;
	    } else {
	        return '';
	    }
	}

	
	
	// Add postMessage support for site title and description.
	$wp_customize->get_setting( 'blogname' )->transport        = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport = 'postMessage';
	
	/**
	 * Render the site title for the selective refresh partial.
	 */
	function firnera_lite_customize_partial_blogname() {
		bloginfo( 'name' );
	}


	/**
	 * Render the site tagline for the selective refresh partial.
	 */
	function firnera_lite_customize_partial_blogdescription() {
		bloginfo( 'description' );
	}



//-------------------------------------------
// Add Panel General Options
//-------------------------------------------
	$wp_customize->add_panel( 'firnera_lite_customizer_panel_general_option', array(
    'title'    => esc_html__('General Options', 'firnera-lite'),
    'description' => esc_html__('General Options', 'firnera-lite'),
    'priority' => 14,
	));
	
	//Next Prev Post Add Section
		$wp_customize->add_section( 'firnera_lite_customizer_next_prev_post', array(
		'title' => esc_html__( 'Next Prev Post', 'firnera-lite' ),
		'priority' => 2,
		'panel' => 'firnera_lite_customizer_panel_general_option',
	));
	
	// Next Prev Post
	$wp_customize->add_setting( 'firnera_lite_customizer_next_prev_post_on_or_off', array(
    	'default' => 1,
    	'sanitize_callback' => 'firnera_lite_sanitize_checkbox',
	));
	$wp_customize->add_control( 'firnera_lite_customizer_next_prev_post_on_or_off', array(
    	'label' => esc_html__('Check to Enable "Next Prev Post" in Single Post','firnera-lite' ),
    	'type' => 'checkbox',
    	'section' => 'firnera_lite_customizer_next_prev_post',
    	'settings' => 'firnera_lite_customizer_next_prev_post_on_or_off',
    	'priority' => 1
	));	
	
		
	// Exclude Page from Search
	$wp_customize->add_section( 'firnera_lite_customizer_exclude_page_from_search', array(
		'title' => esc_html__( 'Exclude Page from Search', 'firnera-lite' ),
		'priority' => 3,
		'panel' => 'firnera_lite_customizer_panel_general_option',
	));
	// Exclude Page from Search
	$wp_customize->add_setting( 'firnera_lite_customizer_exclude_page_from_search_on_or_off', array(
    	'default' => 1,
    	'sanitize_callback' => 'firnera_lite_sanitize_checkbox',
	));
	$wp_customize->add_control( 'firnera_lite_customizer_exclude_page_from_search_on_or_off', array(
    	'label' => esc_html__('Check to Enable Exclude Page from Search','firnera-lite' ),
    	'type' => 'checkbox',
    	'section' => 'firnera_lite_customizer_exclude_page_from_search',
    	'settings' => 'firnera_lite_customizer_exclude_page_from_search_on_or_off',
    	'priority' => 1
	));

	



	
	// selective-refresh option added
	$wp_customize->selective_refresh->add_partial( 'blogname', array(
        'selector' => '.titlesites h1 a',
        'render_callback' => 'firnera_lite_customize_partial_blogname',
	) );
	$wp_customize->selective_refresh->add_partial( 'blogdescription', array(
        'selector' => '.titlesites h3',
        'render_callback' => 'firnera_lite_customize_partial_blogdescription',
	) );
	

	
	
	} //End CREATE TEXTAREA OPTION
	?>